<div class='container'>
    <div class='col-sm-8 col-sm-offset2'>
        <form (ngSubmit)="submit()" [formGroup]="userForm">
            <div class="form-group">
                <label for="username">
                    Username
                </label>
                <input type="text" id="username" class="form-control"
                    placeholder="Username" [formControl]="usernameCtl">
                <small class="text-danger" *ngIf="usernameCtl.hasError('required')">
                    required
                </small>
            </div>
            <div class="form-group">
                <label for="password">
                    Password
                </label>
                <input type="password" id="password" class="form-control"
                    placeholder="" [formControl]="passwordCtl">
                <small class="text-danger" *ngIf="passwordCtl.hasError('required')">
                    required
                </small>
            </div>
            <button class="btn btn-primary" type="submit" [disabled]="userForm.invalid">
                login
            </button>
        </form>
    </div>
</div>